Bug 726246 - rsync 3.0.6 fails with "connection unexpectedly closed" error
rsync 3.0.6 fails with "connection unexpectedly closed" error
Status: CLOSED DUPLICATE of bug 724041
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsync (Show other bugs)
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Vojtech Vitek
BaseOS QE Security Team
Depends On:
  Show dependency treegraph
Reported: 2011-07-27 19:17 EDT by Harold Pritchett
Modified: 2015-03-04 18:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-07-28 02:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harold Pritchett 2011-07-27 19:17:10 EDT
Description of problem:  After upgrading to RHEL 5.7 on four servers, my nightly rsync jobs started failing with 

rsync: connection unexpectedly closed (0 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(600) [sender=3.0.6]

Downgrading to version 2.6.8 on the sending server fixed the problem.
The receiving server is still at 3.0.6.

Version-Release number of selected component (if applicable):

rsync.x86_64 0:3.0.6-4.el5

How reproducible:  fails every time

Steps to Reproduce:
1.  run the command

/usr/bin/rsync -e "ssh -p 2222" -avzp --delete --stats \
        --exclude "GEM-prod/smarty/templates_c/" \
        /var/www/html/GEM-prod \

Actual results:
usage: ssh [-1246AaCfgkMNnqsTtVvXxY] [-b bind_address] [-c cipher_spec]
           [-D [bind_address:]port] [-e escape_char] [-F configfile]
           [-i identity_file] [-L [bind_address:]port:host:hostport]
           [-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
           [-R [bind_address:]port:host:hostport] [-S ctl_path]
           [-w tunnel:tunnel] [user@]hostname [command]
rsync: connection unexpectedly closed (0 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(600) [sender=3.0.6]

Expected results:
building file list ... done

Number of files: 1464
Number of files transferred: 6
Total file size: 13470776 bytes
Total transferred file size: 25909 bytes
Literal data: 6726 bytes
Matched data: 19183 bytes
File list size: 39562
File list generation time: 0.010 seconds
File list transfer time: 0.000 seconds
Total bytes sent: 42376
Total bytes received: 380

sent 42376 bytes  received 380 bytes  9501.33 bytes/sec
total size is 13470776  speedup is 315.06

Additional info:
Comment 1 Ondrej Vasik 2011-07-28 02:43:57 EDT
Thanks for report, it was already reported in https://bugzilla.redhat.com/show_bug.cgi?id=724041 . Closing DUPLICATE.

Note: Bugzilla is not a support tool for RHEL, in the case of urgent issues like this, please contact product support - see https://bugzilla.redhat.com/show_bug.cgi?id=724041#c22 why is it important to use standard support channels.

*** This bug has been marked as a duplicate of bug 724041 ***

Note You need to log in before you can comment on or make changes to this bug.